Skip to Content
veriom

Verify structural remediation program step

POST
/v1/workspaces/{workspace_id}/structural/remediation-programs/{program_id}/steps/{step_order}/verify

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
program_id*Program Id
Formatuuid
step_order*Step Order

Request Body

application/json
  1. body
audit_id*Audit Id
Formatuuid
review_notes?|null

Response Body

Successful Response

application/json
  1. response
activated_at*|null
completed_at*|null
created_at*Created At
Formatdate-time
created_by*Created By
Formatuuid
current_step*Current Step
Range0 <= value
finding_id*Finding Id
Formatuuid
id*Id
Formatuuid
rationale*Rationale
review_notes*string|null
reviewed_by*|null
root_cause_id*|null
state*State
Value in"draft""active""blocked""completed""cancelled"
steps*array<>
target_state_ref*Target State Ref
title*Title
updated_at*Updated At
Formatdate-time
version*Version
Range1 <= value
workspace_id*Workspace Id
Formatuuid
Example Request
curl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/structural/remediation-programs/497f6eca-6276-4993-bfeb-53cbbbba6f08/steps/0/verify' \  -H 'Content-Type: application/json' \  -d '{  "audit_id": "78c04fa6-cfb4-46a0-9aa5-3681ba4f3897"}'
Example Response
{  "activated_at": "2019-08-24T14:15:22Z",  "completed_at": "2019-08-24T14:15:22Z",  "created_at": "2019-08-24T14:15:22Z",  "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",  "current_step": 0,  "finding_id": "feebf65a-2eaa-4fae-aab2-772450efdffe",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "rationale": "string",  "review_notes": "string",  "reviewed_by": "92ab4dbc-1b27-40ce-b24b-7dde8f4709be",  "root_cause_id": "b1af806c-3628-4c2b-afab-f27297369fe7",  "state": "draft",  "steps": [    {      "evaluation_status": "string",      "evidence_ids": [        "string"      ],      "invariant_id": "string",      "invariant_version": "string",      "order": 0,      "owner_scope": "string",      "repository_ids": [        "f3227fc5-024f-4c73-b362-d0cb9602924d"      ],      "review_notes": "string",      "state": "ready",      "title": "string",      "verification_audit_id": "cef6c8ad-7eed-4189-9f94-26d2342cdd25",      "verification_predicate": "string",      "verified_at": "2019-08-24T14:15:22Z"    }  ],  "target_state_ref": "string",  "title": "string",  "updated_at": "2019-08-24T14:15:22Z",  "version": 1,  "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"}